# -*- coding: utf-8 -*-
from ._version import __version__

from .experiment import Experiment

from .quota import SessionQuota
from .randomizer import ListRandomizer
from .randomizer import random_condition

from .section import Section
from .section import RevisitSection
from .section import ForwardOnlySection
from .section import HideOnForwardSection

from .page import Page
from .page import WidePage
from .page import UnlinkedDataPage
from .page import AutoForwardPage
from .page import AutoClosePage
from .page import NoNavigationPage
from .page import NoDataPage
from .page import NoSavingPage
from .page import PasswordPage

from .element.core import Row
from .element.core import Stack
from .element.core import RowLayout

from .element.display import VerticalSpace
from .element.display import Html
from .element.display import Text
from .element.display import Label
from .element.display import Image
from .element.display import Audio
from .element.display import Video
from .element.display import MatPlot
from .element.display import Hline
from .element.display import CodeBlock
from .element.display import ProgressBar
from .element.display import Alert
from .element.display import ButtonLabels
from .element.display import BarLabels
from .element.display import CountUp
from .element.display import CountDown

from .element.input import TextEntry
from .element.input import TextArea
from .element.input import MatchEntry
from .element.input import RegEntry
from .element.input import EmailEntry
from .element.input import PasswordEntry
from .element.input import NumberEntry
from .element.input import RangeInput
from .element.input import SingleChoice
from .element.input import MultipleChoice
from .element.input import SingleChoiceList
# from .element.input import MultipleChoiceList
from .element.input import SingleChoiceButtons
from .element.input import SingleChoiceBar
from .element.input import MultipleChoiceButtons
from .element.input import MultipleChoiceBar
from .element.input import SelectPageList

from .element.action import SubmittingButtons
from .element.action import SubmittingBar
from .element.action import JumpButtons
from .element.action import DynamicJumpButtons
from .element.action import JumpList
from .element.action import Button

from .element.misc import Style
from .element.misc import HideNavigation
from .element.misc import JavaScript
from .element.misc import WebExitEnabler
from .element.misc import Value
from .element.misc import Data
from .element.misc import Callback
from .element.misc import RepeatedCallback

from .util import emoji
from .util import icon

from .util import is_element
from .util import is_input_element
from .util import is_label
from .util import is_page
from .util import is_section
from .util import multiple_choice_numbers